
Moscore QM - Bug #392

Unable to return to yellow or green after a checkered flag

07/22/2018 07:56 PM - Jamie Pate

Status: Resolved Start date: 07/22/2018

Priority: Immediate Due date:  

Assignee: Jamie Pate % Done: 0%

Category: Race scoring Estimated time: 0.00 hour

Target version: 1.3.53 Spent time: 1.50 hour

Description

Users want to be able to switch back to yellow or green flag condition after they have pressed the checkered feels button ( e.g. when

the flagger has thrown the yellow very late)

History

#1 - 07/22/2018 08:02 PM - Jamie Pate

Managed to get the race scoring code to accept switching back to green or yellow. Still need to fix the race finish calculation

#2 - 07/22/2018 08:58 PM - Jamie Pate

Race finish works, but there's some witness during checkered>yellow>green  restarts

#3 - 07/22/2018 09:34 PM - Walter Pate

the issue seems to be delayed mouse/keyboard input signal to Moscore-QM.

if the user is using a wireless mouse/keyboard (surrounded by other wireless device radiation) the mouse input may not be recorded till after the lead

car crosses the start finish line

#4 - 07/22/2018 09:38 PM - Walter Pate

Can you put a delay in the Mylaps reported finish of the race (last lap) until the scorer confirms the last lap deserves the checkered flag? or yellow, or

red. add control Is Checkered?, Is yellow?, Is red?

#5 - 07/23/2018 04:19 PM - Jamie Pate

No,the issue is when the flagger pulls the yellow at the last minute. The solution is to simply allow the yellow flag after the checkered and convert the

checkered passings to green. Switching flags from checkered to green seems impractical because we stop counting laps during the checkered.

#6 - 07/24/2018 05:34 PM - Jamie Pate

- Status changed from In Progress to Resolved
